Debian Bug report logs - #595334
runit: does not signal init

version graph

Package: runit; Maintainer for runit is Gerrit Pape <pape@smarden.org>; Source for runit is src:runit.

Reported by: Jonathan Nieder <jrnieder@gmail.com>

Date: Fri, 3 Sep 2010 05:51:01 UTC

Severity: grave

Tags: patch

Merged with 570094

Found in versions runit/2.1.1-3, runit/2.1.1-4

Fixed in version runit/2.1.1-5

Done: Gerrit Pape <pape@smarden.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, alex.barakin@gmail.com, Gerrit Pape <pape@smarden.org>:
Bug#595334; Package runit. (Fri, 03 Sep 2010 05:51:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
New Bug report received and forwarded. Copy sent to alex.barakin@gmail.com, Gerrit Pape <pape@smarden.org>. (Fri, 03 Sep 2010 05:51:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: submit@bugs.debian.org
Subject: runit: does not signal init
Date: Fri, 3 Sep 2010 00:46:16 -0500
Package: runit
Version: 2.1.1-4
Severity: grave
Justification: breaks git-daemon-run

Hi Gerrit,

Installing runit is not causing runsvdir to run for me.  I have
to explicitly kill -HUP 1 to make it work.

 # cupt install runit
 [...]
 Performing requested actions:
 Preconfiguring packages ...
 Selecting previously deselected package runit.
 (Reading database ... 156845 files and directories currently installed.)
 Unpacking runit (from .../runit_2.1.1-4_i386.deb) ...
 Setting up runit (2.1.1-4) ...
 Processing triggers for man-db ...
 # ps ax |grep sv
 12314 pts/0    S+     0:00 grep sv
 # dpkg-reconfigure -plow runit
 ┌────────────────┤ Configuring runit ├─────────────────────┐
 │                                                          │
 │ In order to enable the system-wide runit service         │
 │ supervision, an entry has been added to /etc/inittab,    │
 │ and the init process needs to be notified.  In some      │
 │ environments, such as some vserver systems, sending a    │
 │ signal to the init process is not desired.               │
 │                                                          │
 │ Note: If the init process is not notified, other         │
 │ packages that depend on runit might not properly start   │
 │ up the services they provide.                            │
 │                                                          │
 │ Signal the init process to enable service supervision?   │
 │                                                          │
 │                <Yes>           <No>                      │
 │                                                          │
 └──────────────────────────────────────────────────────────┘
Yes.
 # ps ax |grep sv
 12331 pts/0    S+     0:00 grep sv
 # kill -HUP 1
 # ps ax |grep sv
 12333 ?        Ss     0:00 runsvdir -P /etc/service log: ...........................................................................................................................................................................................................................................................................................................................................................................................................
 12335 pts/0    S+     0:00 grep sv

I think Sasha described the same problem in <http://bugs.debian.org/584137>.

Ideas?
Jonathan




Information forwarded to debian-bugs-dist@lists.debian.org, Gerrit Pape <pape@smarden.org>:
Bug#595334; Package runit. (Fri, 03 Sep 2010 06:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Jonathan Nieder <jrnieder@gmail.com>:
Extra info received and forwarded to list. Copy sent to Gerrit Pape <pape@smarden.org>. (Fri, 03 Sep 2010 06:03:03 GMT) Full text and rfc822 format available.

Message #10 received at 595334@bugs.debian.org (full text, mbox):

From: Jonathan Nieder <jrnieder@gmail.com>
To: 595334@bugs.debian.org
Cc: alexander barakin <alex.barakin@gmail.com>
Subject: Re: runit: does not signal init
Date: Fri, 3 Sep 2010 00:58:51 -0500
tags 595334 + patch
quit

Jonathan Nieder wrote:

> I think Sasha described the same problem in <http://bugs.debian.org/584137>.

-- 8< --
From: alexander barakin <alex.barakin@gmail.com>
Date: Thu, 3 Jun 2010 15:28:51 +0400
Subject: Make sure runsvdir starts on install

Unless the user has requested otherwise, a signal is sent to
/sbin/init, so the daemon can start.

Without this change, the script is not robust: it must be
possible to interrupt and re-run postinst without breaking an
installation.  Moreover, for some unknown reason, without this
change the daemon is never started.

[jn: with more detailed description]
Tested-by: Jonathan Nieder <jrnieder@gmail.com>
---
 debian/runit.postinst |   15 ++++++++-------
 1 files changed, 8 insertions(+), 7 deletions(-)

diff --git a/debian/runit.postinst b/debian/runit.postinst
index 7e501cc..377c1ac 100644
--- a/debian/runit.postinst
+++ b/debian/runit.postinst
@@ -42,11 +42,12 @@ if ! grep '^SV:' /etc/inittab >/dev/null; then
 	#-- runit end
 	EOT
   mv -f /etc/inittab'{new}' /etc/inittab
-  if test -r /usr/share/debconf/confmodule; then
-    . /usr/share/debconf/confmodule
-    db_get runit/signalinit
-    test "$RET" = false || kill -s HUP 1
-  else 
-    kill -s HUP 1  
-  fi
+fi
+
+if test -r /usr/share/debconf/confmodule; then
+  . /usr/share/debconf/confmodule
+  db_get runit/signalinit
+  test "$RET" = false || kill -s HUP 1
+else
+  kill -s HUP 1
 fi
-- 
1.7.2.2





Added tag(s) patch. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 03 Sep 2010 06:03:05 GMT) Full text and rfc822 format available.

Forcibly Merged 570094 595334. Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 03 Sep 2010 06:09:06 GMT) Full text and rfc822 format available.

Added indication that 595334 affects git Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 03 Sep 2010 06:09:07 GMT) Full text and rfc822 format available.

Removed indication that 595334 affects git Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 03 Sep 2010 06:15:03 GMT) Full text and rfc822 format available.

Added indication that 595334 affects git-daemon-run Request was from Jonathan Nieder <jrnieder@gmail.com> to control@bugs.debian.org. (Fri, 03 Sep 2010 06:15:04 GMT) Full text and rfc822 format available.

Reply sent to Gerrit Pape <pape@smarden.org>:
You have taken responsibility. (Mon, 06 Sep 2010 15:51:05 GMT) Full text and rfc822 format available.

Notification sent to Jonathan Nieder <jrnieder@gmail.com>:
Bug acknowledged by developer. (Mon, 06 Sep 2010 15:51:05 GMT) Full text and rfc822 format available.

Message #25 received at 595334-close@bugs.debian.org (full text, mbox):

From: Gerrit Pape <pape@smarden.org>
To: 595334-close@bugs.debian.org
Subject: Bug#595334: fixed in runit 2.1.1-5
Date: Mon, 06 Sep 2010 15:47:51 +0000
Source: runit
Source-Version: 2.1.1-5

We believe that the bug you reported is fixed in the latest version of
runit, which is due to be installed in the Debian FTP archive:

runit_2.1.1-5.diff.gz
  to main/r/runit/runit_2.1.1-5.diff.gz
runit_2.1.1-5.dsc
  to main/r/runit/runit_2.1.1-5.dsc
runit_2.1.1-5_powerpc.deb
  to main/r/runit/runit_2.1.1-5_powerpc.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 595334@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Gerrit Pape <pape@smarden.org> (supplier of updated runit package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 06 Sep 2010 15:24:12 +0000
Source: runit
Binary: runit
Architecture: source powerpc
Version: 2.1.1-5
Distribution: unstable
Urgency: high
Maintainer: Gerrit Pape <pape@smarden.org>
Changed-By: Gerrit Pape <pape@smarden.org>
Description: 
 runit      - system-wide service supervision
Closes: 595334
Changes: 
 runit (2.1.1-5) unstable; urgency=high
 .
   * debian/runit.postinst: make sure runsvdir starts on install (thx
     alexander barakin for the patch; closes: #595334).
Checksums-Sha1: 
 66b31674824fe8faf4f1cb4d7514dc61b1706490 1018 runit_2.1.1-5.dsc
 5462682217359107abda47dbb37c38dc418ff9b8 15707 runit_2.1.1-5.diff.gz
 27893235afe17e9adb118b10beb795afca2152d9 120718 runit_2.1.1-5_powerpc.deb
Checksums-Sha256: 
 3e95c4d456484dc39a83180597e2c06589b8346f34b8fb022a3a1c4e746c90b2 1018 runit_2.1.1-5.dsc
 8eaa42be73a173dbfac529390f5c509c38a12adf65969c9187f36bcefc53039b 15707 runit_2.1.1-5.diff.gz
 0b3bcc13e098f3bc0ef83605b2598ae4226001383b6d4f0a61936494f3eb4482 120718 runit_2.1.1-5_powerpc.deb
Files: 
 f1b82542a3e4791ef39d7a0956fdd96c 1018 admin optional runit_2.1.1-5.dsc
 67dba817640b17cf5f72a8ce3bac8fb7 15707 admin optional runit_2.1.1-5.diff.gz
 dabae593cb524bd009c7712211f23187 120718 admin optional runit_2.1.1-5_powerpc.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkyFCmIACgkQGJoyQbxwpv/ErgCeLn2LNgrt0B4xd0FCsk6W07sl
jdMAniFmEFoW2FJLNhwV+m73rnJrwvFj
=tB23
-----END PGP SIGNATURE-----





Reply sent to Gerrit Pape <pape@smarden.org>:
You have taken responsibility. (Mon, 06 Sep 2010 15:51:06 GMT) Full text and rfc822 format available.

Notification sent to "Jeremiah C. Foster" <jeremiah@jeremiahfoster.com>:
Bug acknowledged by developer. (Mon, 06 Sep 2010 15:51:06 GMT) Full text and rfc822 format available.

Bug Marked as found in versions runit/2.1.1-3. Request was from Gerrit Pape <pape@dbnbgs.smarden.org> to control@bugs.debian.org. (Tue, 07 Sep 2010 13:51:04 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 08 Oct 2010 07:33:14 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sun Apr 20 11:17:24 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.